%define major 0
%define libname %mklibname %{name}_ %major

Summary:	Trax Sequencer Engine
Name:		tse3
Version:	0.2.7
Release:	4mdk
License:	GPL
Group:		Sound
Source0:	http://download.sourceforge.net/tse3/%{name}-%{version}.tar.bz2
URL:		http://download.sourceforge.net/tse3/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
TSE3 is a powerful open source sequencer engine written in C++. It is
a 'sequencer engine' because it provides the actual driving force
elements of a sequencer but provides no form of fancy interface.
Sequencer applications or multimedia presentation packages will
incorporate the TSE3 libraries to provide a user with MIDI sequencing
facilities.

%package -n %{libname}
Summary:	Tse3 Library
Group:		Sound
Requires:	%{name} = %{version}

%description -n %{libname}
TSE3 is a powerful open source sequencer engine written in C++.
This is the main tse3 library.

%package -n %{libname}-devel
Summary:	Tse3 header files
Group:		Development/C++
Requires:	%libname = %version
Provides:	libtse3-devel
Obsoletes:	libtse3-devel
Provides:	%{name}-devel

%description  -n %{libname}-devel
Tse3 header files.

%prep
%setup -q

%build
CXXFLAGS="%optflags -fno-rtti"
%configure
# doesn't support SMP build
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f doc/Makefile*

rm -fr $RPM_BUILD_ROOT/usr/doc

%post   -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/*
%_mandir/man1/*

%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %_libdir/lib*.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %_libdir/lib*.so
%attr(755,root,root) %_libdir/lib*.la
%{_includedir}/tse3
%{_mandir}/man3/*

%changelog
* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.2.7-4mdk
- fix provides
- use %%makeinstall_std macro

* Mon Aug 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.2.7-3mdk
- rebuild

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-2mdk
- link against latest kde

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.7-1mdk
- new release
- fix url

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-3mdk
- make it %%mklibname aware
- fix unpackaged files

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-2mdk
- provides libtse3-devel

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-2mdk
- 
- fix devel subpackage group

* Tue Sep 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.2.5-1mdk
- initial release
